/* 
 *  $Id: CapsuleList.java,v 1.1.1.1 2000/03/13 21:26:49 andrew Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ants;


/**
 * Linked list of capsules, used as the result of a fusion operation
 *
 * @author David Wetherall
 */


public class CapsuleList {
  public Capsule cap;
  public CapsuleList next;

  public CapsuleList(Capsule c) {
    this(c, null);
  }

  public CapsuleList(Capsule c, CapsuleList n) {
    cap = c;
    next = n;
  }

  public int length() {
    int i = 1;
    CapsuleList c = next;
    while (c != null) { c = c.next; i++; }
    return i;
  }
}

 
