/* 
 *  $Id: ChannelObject.java,v 1.1.1.1 2000/03/13 21:26:49 andrew Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ants;


/** 
 * This class is simply a wrapper for a real channel to separate the
 * things that capsule code can reach --- it should be integrated 
 * with the channel proper some time
 *
 * @author David Wetherall
 */


public class ChannelObject {

  // channel on behalf of which we live
  // set and fixed in constructor
  private Channel source;

  public ChannelAddress getAddress() { return source.source; }

  // sorry, nothing useful
  public int getBandwidth() { return -1; }

  // sorry, nothing useful
  public int getLatency() { return -1; }

  public int getMTU() { return source.getMTU(); }

  // sorry, nothing useful
  public int getBER() { return -1; }

  public ChannelObject(Channel c) {
    super();
    source = c;
  }
}

