/* 
 *  $Id: DLProtocol.java,v 1.1.1.1 2000/03/13 21:26:49 andrew Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */

package ants;

/**
 * Demand Loading protocol definition
 *
 * @author David Wetherall
 */

final class DLProtocol extends BuiltinProtocol {
    
  private static final boolean DEBUG = false;
  /** Debug print statement, redirects to logger */
    
  public void debug(String msg) {
    if (DEBUG) System.err.println("DLClassLoader: "+ msg);
  }
  
    
  DLProtocol() throws Exception {
    startProtocolDefn();
    
    startGroupDefn();

    addCapsule("ants.DLBootstrapCapsule", ants.DLBootstrapCapsule.VERSION);

    addCapsule("ants.DLRequestCapsule", ants.DLRequestCapsule.VERSION);

    addCapsule("ants.DLResponseCapsule", ants.DLResponseCapsule.VERSION);
    
    endGroupDefn();
    endProtocolDefn();
  }
}


 
