/* 
 *  $Id: Extension.java,v 1.1.1.1 2000/03/13 21:26:49 andrew Exp $
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */


package ants;

import java.util.*;
import utils.*;

/**
 * Shell of a node extension component
 *
 * @author David Wetherall
 */


public abstract class Extension extends ManagedObject 
    implements Runnable {

  final public static String[] defaults = { };

  private Node server;
  public Node thisNode() { return server; }

  public void attachNode(Node s) {
    if (server != s) {
      server = s;
      server.attachExtension(this,this.getName());
    }
  }
  
  public abstract void run();
  
  public void setArgs(KeyArgs k) throws Exception {
    k.merge(defaults);
    super.setArgs(k);
  }
 
  public Extension() {
    super();
  } 
}

 
